0

Hi i have a strange loading issue with my website, this is what my debug log just gave me. How do i fix these errors?

[11-Dec-2018 20:25:26 UTC] PHP Warning: Illegal string offset 'http_code' in /home/viralclo/public_html/wp-content/themes/multinews/framework/addons/auto-updates/class-envato-protected-api.php on line 307

[11-Dec-2018 20:25:26 UTC] PHP Warning: Illegal string offset 'api_error' in /home/viralclo/public_html/wp-content/themes/multinews/framework/addons/auto-updates/class-envato-protected-api.php on line 307

[11-Dec-2018 20:25:26 UTC] PHP Deprecated: Function create_function() is deprecated in /home/viralclo/public_html/wp-content/themes/multinews/framework/admin/fonts-option/class.settings-api.php on line 115

[11-Dec-2018 20:25:48 UTC] PHP Notice: Undefined index: fb-instant-page-id in /home/viralclo/public_html/wp-content/plugins/accelerated-mobile-pages/templates/features.php on line 4298

[11-Dec-2018 20:25:55 UTC] PHP Notice: A non well formed numeric value encountered in /home/viralclo/public_html/wp-content/themes/multinews/framework/functions/rimages.php on line 280

[11-Dec-2018 20:26:14 UTC] PHP Notice: get_bloginfo was called with an argument that is deprecated since version 2.2.0! The siteurl option is deprecated for the family of bloginfo() functions. Use the url option instead. in /home/viralclo/public_html/wp-includes/functions.php on line 4053

Many thanks.

0

It looks like the theme you are using multinews is using deprecated functions for your version of PHP. See if you can get an updated copy of the theme from the theme author or downgrade your PHP version to pre 7.2

EDIT: Request to edit code.

You can update the code by navigating to the file and the line and updating the line(s) to non-deprecated code.

Example:

[11-Dec-2018 20:25:26 UTC] PHP Deprecated: Function create_function() is deprecated in /home/viralclo/public_html/wp-content/themes/multinews/framework/admin/fonts-option/class.settings-api.php on line 115

There is a deprecated function (create_function()) in:

wp-content/themes/multinews/framework/admin/fonts-option/class.settings-api.php

The end of the error lets you know which line.

on line 115

In this case you can look at an article like: https://stackoverflow.com/questions/48161526/php-7-2-function-create-function-is-deprecated to see if you can update the deprecated code.

| improve this answer | |
  • The support is terrible for my theme, is there a way i can update the code myself? if so where would i find the new code to replace the old? – Chris Dec 11 '18 at 20:45
  • @Chris I updated my answer. The issue is caused by the version of PHP you are using. – Liam Stewart Dec 11 '18 at 20:50

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.